<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.grouping-handler" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="group-timeout,grouping-handler-address,reaper-period,timeout,type"/>
        <elem name="addr-params" value="profile,subsystem,server,grouping-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="group-timeout" nillable="true" stability="default"/>
        <param name="reaper-period" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="grouping-handler-address" stability="default"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="type" stability="default"/>
        <param name="timeout" nillable="true" stability="default"/>
        <param name="grouping-handler" feature-id="true"/>
    </params>
</feature-spec>